import * as React from 'react';
import { DragDropManager, BackendFactory } from 'dnd-core';
/**
 * The React context type
 */
export interface DndContext<BC> {
    dragDropManager: DragDropManager<BC> | undefined;
}
/**
 * Create the React Context
 */
export declare const DndContext: React.Context<DndContext<any>>;
/**
 * Creates the context object we're providing
 * @param backend
 * @param context
 */
export declare function createDndContext<BackendContext>(backend: BackendFactory, context?: BackendContext, debugMode?: boolean): {
    dragDropManager: DragDropManager<BackendContext | undefined>;
};
